***************************************************************************	
* Do file for Prorok "The (In)Compatibility of Peace and Justice?"

*** this file replicates all tables and figures from the online supplement	
***************************************************************************	


clear
use Prorok_IO_replication.dta	


*****************************************
* Table A
*****************************************
qui logit terminate_nm iccactive_cntrylevel##c.lncivfatdiff_y  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
estpost sum iccactive_cntrylevel lncivfatdiff_y  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3, esample


******************************************************
* Table B
******************************************************
qui logit terminate_nm iccactive_cntrylevel icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
estpost margins, dydx(*) 
qui logit terminate_nm iccactive_cntrylevel##c.lncivfatdiff_y  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
estpost margins, dydx(*) 


******************************************************
* Table C
******************************************************
mlogit outcome4_nm iccactive_cntrylevel icc_ratif lnnumofdyads lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	


******************************************************
* Table D
******************************************************
* Model 1 (Dyad-Level)
logit terminate_nm iccactive_dyadlevelbest icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
* Model 2 (Dyad-Level)	
logit terminate_nm iccactive_dyadlevelbest##c.lncivfatdiff_y  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	

* Model 1 (Continuous)
logit terminate_nm lniccactionscum_cl2 icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
* Model 2 (Continuous)	
logit terminate_nm c.lniccactionscum_cl2##c.lncivfatdiff_y icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	

* Model 1 (Alt Coding)
logit terminate_nm iccactive_cntrylevelexclusive2 icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
* Model 2 (Alt Coding)
logit terminate_nm iccactive_cntrylevelexclusive2##c.lncivfatdiff_y  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	


******************************************************
* Figure A
******************************************************
* Panel A
qui logit terminate_nm iccactive_dyadlevelbest##c.lncivfatdiff_y  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
qui margins, dydx(iccactive_dyadlevelbest) at(lncivfatdiff_y=(0(1)8)) vsquish	
marginsplot, recast(line) recastci(rarea) yline(0) ///
  ciopts(color(*.8)) ///
  plotopts(lw(medthick)) ///
  addplot(pci 0 0 0 8, lcolor(cranberry)) ///
  ytitle("Change in Pr(Termination)" " ") ///
  xtitle(Civilian Deaths Disparity (ln)) ///
  title(A. ICC Dyad-Level, size(medlarge)) ///
  subtitle(" ", size(small)) ///
  graphregion(color(white)) /// 
  legend(off) ///
  saving (iccdyad_fdgraph.gph, replace)
* Panel B
qui logit terminate_nm c.lniccactionscum_cl2##c.lncivfatdiff_y icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
qui margins, dydx(lniccactionscum_cl2) at(lncivfatdiff_y=(0(1)8)) vsquish	
marginsplot, recast(line) recastci(rarea) yline(0) ///
  ciopts(color(*.8)) ///
  plotopts(lw(medthick)) ///
  addplot(pci 0 0 0 8, lcolor(cranberry)) ///
  ytitle("Change in Pr(Termination)" " ") ///
  xtitle(Civilian Deaths Disparity (ln)) ///
  title(B. ICC Continuous, size(medlarge)) ///
  subtitle(" ", size(small)) ///
  graphregion(color(white)) ///
  legend(off) ///
  saving (icccontinuous_fdgraph.gph, replace)
* Panel C
qui logit terminate_nm iccactive_cntrylevelexclusive2##c.lncivfatdiff_y  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
qui margins, dydx(iccactive_cntrylevelexclusive2) at(lncivfatdiff_y=(0(1)8)) vsquish	
marginsplot, recast(line) recastci(rarea) yline(0) ///
  ciopts(color(*.8)) ///
  plotopts(lw(medthick)) ///
  addplot(pci 0 0 0 8, lcolor(cranberry)) ///
  ytitle("Change in Pr(Termination)" " ") ///
  xtitle(Civilian Deaths Disparity (ln)) ///
  title(C. ICC Alternative Coding, size(medlarge)) ///
  subtitle(" ", size(small)) ///
  graphregion(color(white)) ///
  legend(off) ///
  saving (iccexclusive2_fdgraph, replace)

#delimit;
graph combine iccdyad_fdgraph.gph icccontinuous_fdgraph.gph iccexclusive2_fdgraph.gph ,
  col(3)
  title("Figure A: First Differences, Alternative ICC Variables", size(medlarge))
  subtitle("", size(medsmall))
  graphregion(color(white))
  note("Note: 95% Confidence Intervals reported." "Baseline: No Active ICC Involvement", size(small)) 
  ;
#delimit cr


**********************************************
* Table E
**********************************************
* Column 1 (Cumulative Disparity)
logit terminate_nm iccactive_cntrylevel##c.lncivfatdiff_c icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
* Column 2 (Responsible Leaders)
logit terminate_nm iccactive_cntrylevel##culpbdep_both icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
* Column 3 (Qualitative Disparity)
logit terminate_nm iccactive_cntrylevel##cfdcat2 icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
* Column 4 (Deaths Ratio)
logit terminate_nm iccactive_cntrylevel##c.lncivfatratio  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	


**********************************************
* Figure B
**********************************************
* Panel A	
qui logit terminate_nm iccactive_cntrylevel##c.lncivfatdiff_c icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
qui margins, dydx(iccactive_cntrylevel) at(lncivfatdiff_c=(0(1)9)) vsquish	
marginsplot, recast(line) recastci(rarea) yline(0) ///
  ciopts(color(*.8)) ///
  plotopts(lw(medthick)) ///
  addplot(pci 0 0 0 9, lcolor(cranberry) xlabel(0(1)9)) ///
  ytitle(Change in Pr(Termination)) ///
  xtitle(Cumulative Disparity in Civilian Deaths (ln)) ///
  title(A. Cumulative Disparity (Since 2002), size(medlarge)) ///
  subtitle(Baseline: No Active ICC Involvement, size(medsmall)) /// 
  graphregion(color(white)) ///
  legend(off) ///
  saving (civfatcum_fdgraph.gph, replace)
* Panel B
qui logit terminate_nm iccactive_cntrylevel##culpbdep_both icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
qui margins, dydx(iccactive_cntrylevel) at(culpbdep_both=(0(1)1)) vsquish	
marginsplot, recast(bar) recastci(rcap) yline(0) ///
  ciopts(lw(medthick) color(black)) ///
  plotopts(barw(.5) color(*.7)) ///
  xmtick(-.5(.5)1.5) ///
  ytitle(Change in Pr(Termination)) ///
  xtitle(Responsible Leaders) ///
  title(B. Responsible Leaders, size(medlarge)) ///
  subtitle(Baseline: No Active ICC Involvement, size(medsmall)) ///
  graphregion(color(white)) ///
  legend(off) ///
  saving (ldrresponsible_fdgraph.gph, replace)
* Panel C 
qui logit terminate_nm iccactive_cntrylevel##cfdcat2 icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
qui margins, dydx(iccactive_cntrylevel) at(cfdcat2=(0(1)1)) vsquish	
marginsplot, recast(bar) recastci(rcap) yline(0) ///
  ciopts(lw(medthick) color(black)) ///
  plotopts(barw(.5) color(*.7)) ///
  xmtick(-.5(.5)1.5) ///
  ytitle(Change in Pr(Termination)) ///
  xtitle(Qualitative Disparity) ///
  title(C. Qualitative Disparity, size(medlarge)) ///
  subtitle(Baseline: No Active ICC Involvement, size(medsmall)) ///
  graphregion(color(white)) ///
  legend(off) ///
  saving (cfdcat2_fdgraph.gph, replace)
* Panel D
qui logit terminate_nm iccactive_cntrylevel##c.lncivfatratio  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
qui margins, dydx(iccactive_cntrylevel) at(lncivfatratio=(0(1)8)) vsquish	
marginsplot, recast(line) recastci(rarea) yline(0) ///
  ciopts(color(*.8)) ///
  plotopts(lw(medthick)) ///
  addplot(pci 0 0 0 8, lcolor(cranberry) xlabel(0(1)8)) ///
  ytitle(Change in Pr(Termination)) ///
  xtitle(Civilian Deaths Ratio (ln)) ///
  title(D. Civilian Deaths Ratio, size(medlarge)) ///
  subtitle(Baseline: No Active ICC Involvement, size(medsmall)) /// 
  graphregion(color(white)) ///
  legend(off) ///
  saving (civfatratio_fdgraph, replace)

#delimit;
graph combine civfatcum_fdgraph.gph ldrresponsible_fdgraph.gph cfdcat2_fdgraph.gph civfatratio_fdgraph.gph,
  col(2)
  title("Figure B: First Differences, Alt. Domestic Punishment Risk Measures", size(medlarge))
  subtitle("", size(medsmall))
  graphregion(color(white))
  note("Note: 95% Confidence Intervals reported.", size(vsmall)) 
  ;
#delimit cr



*******************************************
* Table F
*******************************************
clear
use Prorok_IO_replication_heckman.dta	
* Model 1
heckprob terminate_nm iccactive_cntrylevel icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(ccode) select(incidenceap = lnrgdppc_lag lnpop icc_ratif exclpop)
* Model 2
heckprob terminate_nm iccactive_cntrylevel##c.lncivfatdiff_y  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(ccode) select(incidenceap = lnrgdppc_lag lnpop icc_ratif exclpop)


*******************************************
* Figure C
*******************************************
* Panel A
qui heckprob terminate_nm iccactive_cntrylevel icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 if year>2001 , cluster(ccode) select(incidenceap = lnrgdppc_lag lnpop icc_ratif exclpop)
qui margins, dydx(iccactive_cntrylevel) vsquish	
marginsplot, recast(bar) recastci(rcap) yline(0) ///
  ciopts(lw(medthick) color(black)) ///
  plotopts(barw(.5) color(*.7)) ///
  xmtick(.5(.5)1.5) ///
  ymtick(-.3(.1)0) ///
  ytitle(Change in Probability of Termination) ///
  title(A. Model 1, size(medlarge)) ///
  subtitle(Baseline: No Active ICC Involvement, size(medsmall)) ///
  graphregion(color(white)) ///
  saving (heck1_fdgraph.gph, replace)
* Panel B
qui heckprob terminate_nm iccactive_cntrylevel##c.lncivfatdiff_y  icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 if year>2001 , cluster(ccode) select(incidenceap = lnrgdppc_lag lnpop icc_ratif exclpop)
qui margins, dydx(iccactive_cntrylevel) at(lncivfatdiff_y=(0(1)8)) vsquish	
marginsplot, recast(line) recastci(rarea) yline(0) ///
  ciopts(color(*.8)) ///
  plotopts(lw(medthick)) ///
  addplot(pci 0 0 0 8, lcolor(cranberry)) ///
  ytitle(Change in Probability of Termination) ///
  xtitle(Disparity in Civilians Killed (ln)) ///
  title(B. Model 2, size(medlarge)) ///
  subtitle(Baseline: No Active ICC Involvement, size(medsmall)) ///
  legend(off) ///
  graphregion(color(white)) ///
  saving (heck2_fdgraph.gph, replace)

#delimit;
graph combine heck1_fdgraph.gph heck2_fdgraph.gph ,
  col(2)
  title("Figure C: Change in Predicted Probability of Termination", size(medlarge))
  subtitle("Heckman Models", size(med))
  graphregion(color(white))
  note("Note: 95% Confidence Intervals reported.", size(small)) 
  ;
#delimit cr



**************************************
* Table G
**************************************
clear
use Prorok_IO_replication.dta	
logit terminate_nm iccactive_cntrylevel##epstartyr2002dum icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	


**************************************
* Figure D
**************************************
qui logit terminate_nm iccactive_cntrylevel##epstartyr2002dum icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	
qui margins, dydx(iccactive_cntrylevel) at(epstartyr2002dum=(0(1)1)) vsquish	
marginsplot, recast(bar) recastci(rcap) yline(0) ///
  ciopts(lw(med) color(black)) ///
  plotopts(barw(.5) color(*.7)) ///
  xmtick(-.5(.5)1.5) ///
  ytitle(Change in Pr(Termination)) ///
  xtitle(" ", size(med)) ///
  title(Figure D: Impact of ICC By Conflict Start Date (Pre/Post ICC), size(medlarge)) ///
  subtitle("Baseline: No Active ICC Involvement" " ", size(medsmall)) ///
  xlabel(0 "War Start Pre ICC" 1 "War Start Post ICC", val angle(horizontal) labsize(medsmall)) ///
  graphregion(color(white)) ///
  note("Note: 95% Confidence Intervals reported." "Difference in effects for Pre vs. Post-ICC not significant (b=0.02, p=.79)", size(small)) 


**************************************
* Table H
**************************************
logit terminate_nm icccl_stref icccl_art15ref icccl_unscref icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	


**************************************
* Table I
**************************************
logit terminate_nm icccl_stother icccl_reb icccl_both icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)	


**************************************
* Table J
**************************************
* Smith-Blundell Test
probexog terminate_nm icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all terrcont2_nm parity_nm rebpolwinglegal2_nm africa c_cwars ethwartek12 lnldrtenure_yrend count count2 count3 (iccactive_cntrylevel= p5_ipddumc25avg c_ipddumc25avg c_numratifierslag)	
* Durbin-Wu-Hausman 
qui reg iccactive_cntrylevel p5_ipddumc25avg c_ipddumc25avg c_numratifierslag icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa c_cwars ethwartek12 lnldrtenure_yrend count count2 count3 , cluster(dyadid)	
predict xb1, xb	
predict resid1, resid	
qui logit terminate_nm resid1 iccactive_cntrylevel icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa c_cwars ethwartek12 lnldrtenure_yrend count count2 count3, vce(bootstrap, rep(100) seed(2) cluster(dyadid) idcluster(newid) group(dyadid))	
test resid1


**************************************
* Table K
**************************************
* Model 1
logit terminate_nm iccactive_cntrylevel demdum7 physintlag lji_lag icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)
* Model 2
logit terminate_nm iccactive_cntrylevel##c.lncivfatdiff_y  demdum7 physintlag lji_lag icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm rebpolwinglegal2_nm africa count count2 count3 , cluster(dyadid)


**************************************
* Table L
**************************************
* Model 1	
ivprobit terminate_nm icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all terrcont2_nm parity_nm rebpolwinglegal2_nm africa c_cwars ethwartek12 lnldrtenure_yrend count count2 count3 (iccactive_cntrylevel= p5_ipddumc25avg c_ipddumc25avg c_numratifierslag), cluster(dyadid) first		
* Model 2
reg iccactive_cntrylevel p5_ipddumc25avg c_ipddumc25avg c_numratifierslag lncivfatdiff_y icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm africa rebpolwinglegal2_nm c_cwars ethwartek12 lnldrtenure_yrend count count2 count3 , cluster(dyadid)	
predict xb2a, xb	
gen xb2axlncivfatdiff=xb2a*lncivfatdiff_y	
regress iccactiveclxlncivfatdiff xb2axlncivfatdiff lncivfatdiff_y icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm africa rebpolwinglegal2_nm c_cwars ethwartek12 lnldrtenure_yrend count count2 count3 , cluster(dyadid)	
predict xb2b, xb	
logit terminate_nm xb2a lncivfatdiff_y xb2b icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm africa rebpolwinglegal2_nm c_cwars ethwartek12 lnldrtenure_yrend count count2 count3, vce(bootstrap, rep(100) seed(2) cluster(dyadid) idcluster(newid) group(dyadid))	


**************************************
* Table M
**************************************
* Column 1 (mediation control added)
ivprobit terminate_nm icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all terrcont2_nm parity_nm rebpolwinglegal2_nm africa c_cwars ethwartek12 lnldrtenure_yrend mediation_lag count count2 count3 (iccactive_cntrylevel= p5_ipddumc25avg c_ipddumc25avg c_numratifierslag), cluster(dyadid)	
* Column 2 (Continuous ICC measure, Model 1)
ivprobit terminate_nm icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all terrcont2_nm parity_nm rebpolwinglegal2_nm africa c_cwars ethwartek12 lnldrtenure_yrend count count2 count3 (lniccactionscum_cl2= p5_ipddumc25avg c_ipddumc25avg c_numratifierslag), cluster(dyadid)	
* Column 3 (Continuous ICC measure, Model 2)
qui reg lniccactionscum_cl2 p5_ipddumc25avg c_ipddumc25avg c_numratifierslag lncivfatdiff_y icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm africa rebpolwinglegal2_nm c_cwars ethwartek12 lnldrtenure_yrend count count2 count3 , cluster(dyadid)	
predict xb3a, xb	
gen xb3axlncivfatdiff=xb3a*lncivfatdiff_y	
qui regress lniccactionscl2xlncivfatdiff xb3axlncivfatdiff lncivfatdiff_y icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm africa rebpolwinglegal2_nm c_cwars ethwartek12 lnldrtenure_yrend count count2 count3 , cluster(dyadid)	
predict xb3b, xb	
logit terminate_nm xb3a lncivfatdiff_y xb3b icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm africa rebpolwinglegal2_nm c_cwars ethwartek12 lnldrtenure_yrend count count2 count3, vce(bootstrap, rep(100) seed(2) cluster(dyadid) idcluster(newid) group(dyadid))	


**************************************
* Figure E
**************************************
qui estsimp logit terminate_nm xb3a lncivfatdiff_y xb3b icc_ratif lnnumofdyads mixedreg lnpop balancedinterv_all  terrcont2_nm parity_nm africa rebpolwinglegal2_nm c_cwars ethwartek12 lnldrtenure_yrend count count2 count3, vce(bootstrap, rep(100) seed(2) cluster(dyadid) idcluster(newid) group(dyadid)) genname(cont) sims(10000)	
setx xb3a -1.55 lncivfatdiff_y 0 xb3b 0 icc_ratif 0 lnnumofdyads mean mixedreg 1 lnpop mean balancedinterv_all 0 terrcont2_nm 0 parity_nm 0 africa 0 rebpolwinglegal2_nm 0 c_cwars mean ethwartek12 1 lnldrtenure_yrend mean count 10.043 count2 100.862 count3 1012.956	
simqi, fd(pr) changex(xb3a -3.5 1.7 lncivfatdiff_y 0 0 xb3b 0 0) 	
simqi, fd(pr) changex(xb3a -3.5 1.7 lncivfatdiff_y 1 1 xb3b -3.5 1.7) 	
simqi, fd(pr) changex(xb3a -3.5 1.7 lncivfatdiff_y 2 2 xb3b -7 3.4) 	
simqi, fd(pr) changex(xb3a -3.5 1.7 lncivfatdiff_y 3 3 xb3b -10.5 5.1) 	
simqi, fd(pr) changex(xb3a -3.5 1.7 lncivfatdiff_y 4 4 xb3b -14 6.8) 	
simqi, fd(pr) changex(xb3a -3.5 1.7 lncivfatdiff_y 5 5 xb3b -17.5 8.5) 	
simqi, fd(pr) changex(xb3a -3.5 1.7 lncivfatdiff_y 6 6 xb3b -21 10.2) 	
simqi, fd(pr) changex(xb3a -3.5 1.7 lncivfatdiff_y 7 7 xb3b -24.5 11.9) 	
simqi, fd(pr) changex(xb3a -3.5 1.7 lncivfatdiff_y 8 8 xb3b -28 13.6) 	

clear
insheet using postest_figures.csv	
gen axis=0
#delimit;
twoway (rarea min95 max95 civfatdiff_y if civfatdiff_y<9 & figure==4, color(gs10)) 
  (line fd civfatdiff_y if civfatdiff_y<9 & figure==4, lcolor(black) lw(medthick))
  (line axis civfatdiff_y if civfatdiff_y<9 & figure==4, lcolor(cranberry) lw(med)),
  title("Figure E: First Differences, Continuous ICC", size(medlarge))
  subtitle("Change in Pr(Termination) moving from ICC Min to Max", size(medsmall))
  xtitle(" " "Disparity in Civilians Killed (ln)")
  ytitle("Change in Probability of Termination")			
  xlabel(0(1)8)
  ylabel(-.4(.1)0)
  ymtick(-.35(.05).05)
  legend(off)
  yline(0, lstyle(foreground) lcolor(cranberry) lw(med))
  graphregion(color(white))
  note("Note: 95% Confidence Intervals reported.", size(small)) 
  ;
#delimit cr	










